Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelApis
/
{modelApiId}
cURL
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelApis/{modelApiId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "access": {
    "accessTokens": [
      {
        "created": 123,
        "createdBy": "<string>",
        "id": "<string>",
        "lastGenerated": 123,
        "lastGeneratedBy": "<string>",
        "name": "<string>"
      }
    ],
    "isPublic": true
  },
  "collaborators": [
    {
      "collaborator": "<string>",
      "role": "<string>"
    }
  ],
  "description": "<string>",
  "environmentId": "<string>",
  "healthCheck": {
    "failureThreshold": 123,
    "initialDelaySeconds": 123,
    "periodSeconds": 123,
    "timeoutSeconds": 123
  },
  "id": "<string>",
  "isArchived": true,
  "isAsync": true,
  "metadata": {
    "created": 123,
    "createdBy": "<string>",
    "lastModified": 123
  },
  "name": "<string>",
  "replicas": 123,
  "routingMode": "<string>",
  "strictNodeAntiAffinity": true,
  "volumes": [
    {
      "mountPath": "<string>",
      "name": "<string>",
      "readOnly": true,
      "volumeType": "<string>"
    }
  ],
  "activeVersion": {
    "dataPlaneId": "<string>",
    "id": "<string>",
    "deployment": {
      "isPending": true,
      "status": "<string>"
    },
    "number": 123
  },
  "bundleId": "<string>",
  "hardwareTierId": "<string>",
  "overrideRequestTimeoutSecs": 123,
  "resourceQuotaId": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelApiId
string
required

The id of the Model API to retrieve.

Response

200 - application/json

The Model API with the requested id.

access
object
required
collaborators
object[]
required

The collaborators of the Model API.

description
string
required

The description of the Model API.

environmentId
string
required

The id of the environment the Model API is deployed to.

healthCheck
object
required
id
string
required

The id of the Model API.

isArchived
boolean
required

Whether the Model API is archived.

isAsync
boolean
required

Whether the Model API is async.

metadata
object
required
name
string
required

The name of the Model API.

replicas
integer
required

The number of replicas of the Model API.

routingMode
string
required

The routing mode of the Model API.

strictNodeAntiAffinity
boolean
required

Whether the Model API has strict node anti affinity.

volumes
object[]
required

The volumes of the Model API.

activeVersion
object
bundleId
string | null

The ID of the bundle governing the model API to create.

Pattern: ^[0-9a-f]{24}$
hardwareTierId
string | null

The id of the hardware tier the Model API is deployed with.

overrideRequestTimeoutSecs
integer | null

The request timeout configuration of the Model API.

resourceQuotaId
string | null

The id of the resource quota the Model API is deployed with.